Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.newdawn.slick.opengl.renderer
Interface SGL

All Known Implementing Classes:
  ImmediateModeOGLRenderer, VAOGLRenderer

    public interface SGL

The description of the OpenGL functions used Slick. Any other rendering method will need to emulate these.

Author:
  kevin

Field Summary
`static int` | `GL_ALWAYS` OpenGL Enum - @url http://www.opengl.org/documentation
`static int` | `GL_BGRA` OpenGL Enum - @url http://www.opengl.org/documentation
`static int` | `GL_BLEND` OpenGL Enum - @url http://www.opengl.org/documentation
`static int` | `GL_CLAMP` OpenGL Enum - @url http://www.opengl.org/documentation
`static int` | `GL_CLIP_PLANE0` OpenGL Enum - @url http://www.opengl.org/documentation
`static int` | `GL_CLIP_PLANE1` OpenGL Enum - @url http://www.opengl.org/documentation
`static int` | `GL_CLIP_PLANE2` OpenGL Enum - @url http://www.opengl.org/documentation
`static int` | `GL_CLIP_PLANE3` OpenGL Enum - @url http://www.opengl.org/documentation
`static int` | `GL_COLOR_BUFFER_BIT` OpenGL Enum - @url http://www.opengl.org/documentation
`static int` | `GL_COLOR_CLEAR_VALUE` OpenGL Enum - @url http://www.opengl.org/documentation
`static int` | `GL_COLOR_SUM_EXT` OpenGL Enum - @url http://www.opengl.org/documentation
`static int` | `GL_COMPILE` OpenGL Enum - @url http://www.opengl.org/documentation
`static int` | `GL_COMPILE_AND_EXECUTE` OpenGL Enum - @url http://www.opengl.org/documentation
`static int` | `GL_DEPTH_BUFFER_BIT` OpenGL Enum - @url http://www.opengl.org/documentation
`static int` | `GL_DEPTH_TEST` OpenGL Enum - @url http://www.opengl.org/documentation
`static int` | `GL_DST_ALPHA` OpenGL Enum - @url http://www.opengl.org/documentation
`static int` | `GL_EQUAL` OpenGL Enum - @url http://www.opengl.org/documentation
`static int` | `GL_LINE_SMOOTH` OpenGL Enum - @url http://www.opengl.org/documentation
`static int` | `GL_LINE_STRIP` OpenGL Enum - @url http://www.opengl.org/documentation
`static int` | `GL_LINE_WIDTH` OpenGL Enum - @url http://www.opengl.org/documentation
`static int` | `GL_LINEAR` OpenGL Enum - @url http://www.opengl.org/documentation
`static int` | `GL_LINES` OpenGL Enum - @url http://www.opengl.org/documentation
`static int` | `GL_MAX_TEXTURE_SIZE` OpenGL Enum - @url http://www.opengl.org/documentation
`static int` | `GL_MIRROR_CLAMP_TO_EDGE_EXT` OpenGL Enum - @url http://www.opengl.org/documentation
`static int` | `GL_MODELVIEW_MATRIX` OpenGL Enum - @url http://www.opengl.org/documentation
`static int` | `GL_MODULATE` OpenGL Enum - @url http://www.opengl.org/documentation
`static int` | `GL_NEAREST` OpenGL Enum - @url http://www.opengl.org/documentation
`static int` | `GL_NOTEQUAL` OpenGL Enum - @url http://www.opengl.org/documentation
`static int` | `GL_ONE` OpenGL Enum - @url http://www.opengl.org/documentation
`static int` | `GL_ONE_MINUS_DST_ALPHA` OpenGL Enum - @url http://www.opengl.org/documentation
`static int` | `GL_ONE_MINUS_SRC_ALPHA` OpenGL Enum - @url http://www.opengl.org/documentation
`static int` | `GL_ONE_MINUS_SRC_COLOR` OpenGL Enum - @url http://www.opengl.org/documentation
`static int` | `GL_POINT_SMOOTH` OpenGL Enum - @url http://www.opengl.org/documentation
`static int` | `GL_POINTS` OpenGL Enum - @url http://www.opengl.org/documentation
`static int` | `GL_POLYGON_SMOOTH` OpenGL Enum - @url http://www.opengl.org/documentation
`static int` | `GL_QUADS` OpenGL Enum - @url http://www.opengl.org/documentation
`static int` | `GL_RGB` OpenGL Enum - @url http://www.opengl.org/documentation
`static int` | `GL_RGBA` OpenGL Enum - @url http://www.opengl.org/documentation
`static int` | `GL_RGBA16` OpenGL Enum - @url http://www.opengl.org/documentation
`static int` | `GL_RGBA8` OpenGL Enum - @url http://www.opengl.org/documentation
`static int` | `GL_SCISSOR_TEST` OpenGL Enum - @url http://www.opengl.org/documentation
`static int` | `GL_SRC_ALPHA` OpenGL Enum - @url http://www.opengl.org/documentation
`static int` | `GL_SRC_COLOR` OpenGL Enum - @url http://www.opengl.org/documentation
`static int` | `GL_TEXTURE_2D` OpenGL Enum - @url http://www.opengl.org/documentation
`static int` | `GL_TEXTURE_ENV` OpenGL Enum - @url http://www.opengl.org/documentation
`static int` | `GL_TEXTURE_ENV_MODE` OpenGL Enum - @url http://www.opengl.org/documentation
`static int` | `GL_TEXTURE_MAG_FILTER` OpenGL Enum - @url http://www.opengl.org/documentation
`static int` | `GL_TEXTURE_MIN_FILTER` OpenGL Enum - @url http://www.opengl.org/documentation
`static int` | `GL_TEXTURE_WRAP_S` OpenGL Enum - @url http://www.opengl.org/documentation
`static int` | `GL_TEXTURE_WRAP_T` OpenGL Enum - @url http://www.opengl.org/documentation
`static int` | `GL_TRIANGLE_FAN` OpenGL Enum - @url http://www.opengl.org/documentation
`static int` | `GL_TRIANGLES` OpenGL Enum - @url http://www.opengl.org/documentation
`static int` | `GL_UNSIGNED_BYTE` OpenGL Enum - @url http://www.opengl.org/documentation

Method Summary
`boolean` | `canSecondaryColor()`
`boolean` | `canTextureMirrorClamp()` Check if the mirror clamp extension is available
`void` | `enterOrtho(int xsize, int ysize)` Enter orthographic mode
`void` | `flush()` Flush the current state of the renderer down to GL
`float[]` | `getCurrentColor()` Get the current colour being rendered
`void` | `glBegin(int geomType)` OpenGL Method - @url http://www.opengl.org/documentation/
`void` | `glBindTexture(int target, int id)` OpenGL Method - @url http://www.opengl.org/documentation/
`void` | `glBlendFunc(int src, int dest)` OpenGL Method - @url http://www.opengl.org/documentation/
`void` | `glCallList(int id)` OpenGL Method - @url http://www.opengl.org/documentation/
`void` | `glClear(int value)` OpenGL Method - @url http://www.opengl.org/documentation/
`void` | `glClearColor(float red, float green, float blue, float alpha)` OpenGL Method - @url http://www.opengl.org/documentation/
`void` | `glClearDepth(float value)` OpenGL Method - @url http://www.opengl.org/documentation/
`void` | `glClipPlane(int plane, java.nio.DoubleBuffer buffer)` OpenGL Method - @url http://www.opengl.org/documentation/
`void` | `glColor4f(float r, float g, float b, float a)` OpenGL Method - @url http://www.opengl.org/documentation/
`void` | `glColorMask(boolean red, boolean green, boolean blue, boolean alpha)` OpenGL Method - @url http://www.opengl.org/documentation/
`void` | `glCopyTexImage2D(int target, int level, int internalFormat, int x, int y, int width, int height, int border)` OpenGL Method - @url http://www.opengl.org/documentation/
`void` | `glDeleteLists(int list, int count)` OpenGL Method - @url http://www.opengl.org/documentation/
`void` | `glDeleteTextures(java.nio.IntBuffer buffer)` OpenGL Method - @url http://www.opengl.org/documentation/
`void` | `glDepthFunc(int func)` OpenGL Method - @url http://www.opengl.org/documentation/
`void` | `glDepthMask(boolean mask)` OpenGL Method - @url http://www.opengl.org/documentation/
`void` | `glDisable(int item)` OpenGL Method - @url http://www.opengl.org/documentation/
`void` | `glEnable(int item)` OpenGL Method - @url http://www.opengl.org/documentation/
`void` | `glEnd()` OpenGL Method - @url http://www.opengl.org/documentation/
`void` | `glEndList()` OpenGL Method - @url http://www.opengl.org/documentation/
`int` | `glGenLists(int count)` OpenGL Method - @url http://www.opengl.org/documentation/
`void` | `glGenTextures(java.nio.IntBuffer ids)` OpenGL Method - @url http://www.opengl.org/documentation/
`void` | `glGetError()` OpenGL Method - @url http://www.opengl.org/documentation/
`void` | `glGetFloat(int id, java.nio.FloatBuffer ret)` OpenGL Method - @url http://www.opengl.org/documentation/
`void` | `glGetInteger(int id, java.nio.IntBuffer ret)` OpenGL Method - @url http://www.opengl.org/documentation/
`void` | `glGetTexImage(int target, int level, int format, int type, java.nio.ByteBuffer pixels)` OpenGL Method - @url http://www.opengl.org/documentation/
`void` | `glLineWidth(float width)` OpenGL Method - @url http://www.opengl.org/documentation/
`void` | `glLoadIdentity()` OpenGL Method - @url http://www.opengl.org/documentation/
`void` | `glLoadMatrix(java.nio.FloatBuffer buffer)` OpenGL Method - @url http://www.opengl.org/documentation/
`void` | `glNewList(int id, int option)` OpenGL Method - @url http://www.opengl.org/documentation/
`void` | `glPointSize(float size)` OpenGL Method - @url http://www.opengl.org/documentation/
`void` | `glPopMatrix()` OpenGL Method - @url http://www.opengl.org/documentation/
`void` | `glPushMatrix()` OpenGL Method - @url http://www.opengl.org/documentation/
`void` | `glReadPixels(int x, int y, int width, int height, int format, int type, java.nio.ByteBuffer pixels)` OpenGL Method - @url http://www.opengl.org/documentation/
`void` | `glRotatef(float angle, float x, float y, float z)` OpenGL Method - @url http://www.opengl.org/documentation/
`void` | `glScalef(float x, float y, float z)` OpenGL Method - @url http://www.opengl.org/documentation/
`void` | `glScissor(int x, int y, int width, int height)` OpenGL Method - @url http://www.opengl.org/documentation/
`void` | `glSecondaryColor3ubEXT(byte b, byte c, byte d)`
`void` | `glTexCoord2f(float u, float v)` OpenGL Method - @url http://www.opengl.org/documentation/
`void` | `glTexEnvi(int target, int mode, int value)` OpenGL Method - @url http://www.opengl.org/documentation/
`void` | `glTexImage2D(int target, int i, int dstPixelFormat, int get2Fold, int get2Fold2, int j, int srcPixelFormat, int glUnsignedByte, java.nio.ByteBuffer textureBuffer)` OpenGL Method - @url http://www.opengl.org/documentation/
`void` | `glTexParameteri(int target, int param, int value)` OpenGL Method - @url http://www.opengl.org/documentation/
`void` | `glTexSubImage2D(int glTexture2d, int i, int pageX, int pageY, int width, int height, int glBgra, int glUnsignedByte, java.nio.ByteBuffer scratchByteBuffer)` OpenGL Method - @url http://www.opengl.org/documentation/
`void` | `glTranslatef(float x, float y, float z)` OpenGL Method - @url http://www.opengl.org/documentation/
`void` | `glVertex2f(float x, float y)` OpenGL Method - @url http://www.opengl.org/documentation/
`void` | `glVertex3f(float x, float y, float z)` OpenGL Method - @url http://www.opengl.org/documentation/
`void` | `initDisplay(int width, int height)` Initialise the display
`void` | `setGlobalAlphaScale(float alphaScale)` Set the scaling we'll apply to any colour binds in this renderer

Field Detail

### GL_TEXTURE_2D

    static final int GL_TEXTURE_2D

  OpenGL Enum - @url http://www.opengl.org/documentation

  See Also:
    Constant Field Values

### GL_RGBA

    static final int GL_RGBA

  OpenGL Enum - @url http://www.opengl.org/documentation

  See Also:
    Constant Field Values

### GL_RGB

    static final int GL_RGB

  OpenGL Enum - @url http://www.opengl.org/documentation

  See Also:
    Constant Field Values

### GL_UNSIGNED_BYTE

    static final int GL_UNSIGNED_BYTE

  OpenGL Enum - @url http://www.opengl.org/documentation

  See Also:
    Constant Field Values

### GL_LINEAR

    static final int GL_LINEAR

  OpenGL Enum - @url http://www.opengl.org/documentation

  See Also:
    Constant Field Values

### GL_NEAREST

    static final int GL_NEAREST

  OpenGL Enum - @url http://www.opengl.org/documentation

  See Also:
    Constant Field Values

### GL_TEXTURE_MIN_FILTER

    static final int GL_TEXTURE_MIN_FILTER

  OpenGL Enum - @url http://www.opengl.org/documentation

  See Also:
    Constant Field Values

### GL_TEXTURE_MAG_FILTER

    static final int GL_TEXTURE_MAG_FILTER

  OpenGL Enum - @url http://www.opengl.org/documentation

  See Also:
    Constant Field Values

### GL_POINT_SMOOTH

    static final int GL_POINT_SMOOTH

  OpenGL Enum - @url http://www.opengl.org/documentation

  See Also:
    Constant Field Values

### GL_POLYGON_SMOOTH

    static final int GL_POLYGON_SMOOTH

  OpenGL Enum - @url http://www.opengl.org/documentation

  See Also:
    Constant Field Values

### GL_LINE_SMOOTH

    static final int GL_LINE_SMOOTH

  OpenGL Enum - @url http://www.opengl.org/documentation

  See Also:
    Constant Field Values

### GL_SCISSOR_TEST

    static final int GL_SCISSOR_TEST

  OpenGL Enum - @url http://www.opengl.org/documentation

  See Also:
    Constant Field Values

### GL_MODULATE

    static final int GL_MODULATE

  OpenGL Enum - @url http://www.opengl.org/documentation

  See Also:
    Constant Field Values

### GL_TEXTURE_ENV

    static final int GL_TEXTURE_ENV

  OpenGL Enum - @url http://www.opengl.org/documentation

  See Also:
    Constant Field Values

### GL_TEXTURE_ENV_MODE

    static final int GL_TEXTURE_ENV_MODE

  OpenGL Enum - @url http://www.opengl.org/documentation

  See Also:
    Constant Field Values

### GL_QUADS

    static final int GL_QUADS

  OpenGL Enum - @url http://www.opengl.org/documentation

  See Also:
    Constant Field Values

### GL_POINTS

    static final int GL_POINTS

  OpenGL Enum - @url http://www.opengl.org/documentation

  See Also:
    Constant Field Values

### GL_LINES

    static final int GL_LINES

  OpenGL Enum - @url http://www.opengl.org/documentation

  See Also:
    Constant Field Values

### GL_LINE_STRIP

    static final int GL_LINE_STRIP

  OpenGL Enum - @url http://www.opengl.org/documentation

  See Also:
    Constant Field Values

### GL_TRIANGLES

    static final int GL_TRIANGLES

  OpenGL Enum - @url http://www.opengl.org/documentation

  See Also:
    Constant Field Values

### GL_TRIANGLE_FAN

    static final int GL_TRIANGLE_FAN

  OpenGL Enum - @url http://www.opengl.org/documentation

  See Also:
    Constant Field Values

### GL_SRC_ALPHA

    static final int GL_SRC_ALPHA

  OpenGL Enum - @url http://www.opengl.org/documentation

  See Also:
    Constant Field Values

### GL_ONE

    static final int GL_ONE

  OpenGL Enum - @url http://www.opengl.org/documentation

  See Also:
    Constant Field Values

### GL_ONE_MINUS_DST_ALPHA

    static final int GL_ONE_MINUS_DST_ALPHA

  OpenGL Enum - @url http://www.opengl.org/documentation

  See Also:
    Constant Field Values

### GL_DST_ALPHA

    static final int GL_DST_ALPHA

  OpenGL Enum - @url http://www.opengl.org/documentation

  See Also:
    Constant Field Values

### GL_ONE_MINUS_SRC_ALPHA

    static final int GL_ONE_MINUS_SRC_ALPHA

  OpenGL Enum - @url http://www.opengl.org/documentation

  See Also:
    Constant Field Values

### GL_COMPILE

    static final int GL_COMPILE

  OpenGL Enum - @url http://www.opengl.org/documentation

  See Also:
    Constant Field Values

### GL_MAX_TEXTURE_SIZE

    static final int GL_MAX_TEXTURE_SIZE

  OpenGL Enum - @url http://www.opengl.org/documentation

  See Also:
    Constant Field Values

### GL_COLOR_BUFFER_BIT

    static final int GL_COLOR_BUFFER_BIT

  OpenGL Enum - @url http://www.opengl.org/documentation

  See Also:
    Constant Field Values

### GL_DEPTH_BUFFER_BIT

    static final int GL_DEPTH_BUFFER_BIT

  OpenGL Enum - @url http://www.opengl.org/documentation

  See Also:
    Constant Field Values

### GL_BLEND

    static final int GL_BLEND

  OpenGL Enum - @url http://www.opengl.org/documentation

  See Also:
    Constant Field Values

### GL_COLOR_CLEAR_VALUE

    static final int GL_COLOR_CLEAR_VALUE

  OpenGL Enum - @url http://www.opengl.org/documentation

  See Also:
    Constant Field Values

### GL_LINE_WIDTH

    static final int GL_LINE_WIDTH

  OpenGL Enum - @url http://www.opengl.org/documentation

  See Also:
    Constant Field Values

### GL_CLIP_PLANE0

    static final int GL_CLIP_PLANE0

  OpenGL Enum - @url http://www.opengl.org/documentation

  See Also:
    Constant Field Values

### GL_CLIP_PLANE1

    static final int GL_CLIP_PLANE1

  OpenGL Enum - @url http://www.opengl.org/documentation

  See Also:
    Constant Field Values

### GL_CLIP_PLANE2

    static final int GL_CLIP_PLANE2

  OpenGL Enum - @url http://www.opengl.org/documentation

  See Also:
    Constant Field Values

### GL_CLIP_PLANE3

    static final int GL_CLIP_PLANE3

  OpenGL Enum - @url http://www.opengl.org/documentation

  See Also:
    Constant Field Values

### GL_COMPILE_AND_EXECUTE

    static final int GL_COMPILE_AND_EXECUTE

  OpenGL Enum - @url http://www.opengl.org/documentation

  See Also:
    Constant Field Values

### GL_RGBA8

    static final int GL_RGBA8

  OpenGL Enum - @url http://www.opengl.org/documentation

  See Also:
    Constant Field Values

### GL_RGBA16

    static final int GL_RGBA16

  OpenGL Enum - @url http://www.opengl.org/documentation

  See Also:
    Constant Field Values

### GL_BGRA

    static final int GL_BGRA

  OpenGL Enum - @url http://www.opengl.org/documentation

  See Also:
    Constant Field Values

### GL_MIRROR_CLAMP_TO_EDGE_EXT

    static final int GL_MIRROR_CLAMP_TO_EDGE_EXT

  OpenGL Enum - @url http://www.opengl.org/documentation

  See Also:
    Constant Field Values

### GL_TEXTURE_WRAP_S

    static final int GL_TEXTURE_WRAP_S

  OpenGL Enum - @url http://www.opengl.org/documentation

  See Also:
    Constant Field Values

### GL_TEXTURE_WRAP_T

    static final int GL_TEXTURE_WRAP_T

  OpenGL Enum - @url http://www.opengl.org/documentation

  See Also:
    Constant Field Values

### GL_CLAMP

    static final int GL_CLAMP

  OpenGL Enum - @url http://www.opengl.org/documentation

  See Also:
    Constant Field Values

### GL_COLOR_SUM_EXT

    static final int GL_COLOR_SUM_EXT

  OpenGL Enum - @url http://www.opengl.org/documentation

  See Also:
    Constant Field Values

### GL_ALWAYS

    static final int GL_ALWAYS

  OpenGL Enum - @url http://www.opengl.org/documentation

  See Also:
    Constant Field Values

### GL_DEPTH_TEST

    static final int GL_DEPTH_TEST

  OpenGL Enum - @url http://www.opengl.org/documentation

  See Also:
    Constant Field Values

### GL_NOTEQUAL

    static final int GL_NOTEQUAL

  OpenGL Enum - @url http://www.opengl.org/documentation

  See Also:
    Constant Field Values

### GL_EQUAL

    static final int GL_EQUAL

  OpenGL Enum - @url http://www.opengl.org/documentation

  See Also:
    Constant Field Values

### GL_SRC_COLOR

    static final int GL_SRC_COLOR

  OpenGL Enum - @url http://www.opengl.org/documentation

  See Also:
    Constant Field Values

### GL_ONE_MINUS_SRC_COLOR

    static final int GL_ONE_MINUS_SRC_COLOR

  OpenGL Enum - @url http://www.opengl.org/documentation

  See Also:
    Constant Field Values

### GL_MODELVIEW_MATRIX

    static final int GL_MODELVIEW_MATRIX

  OpenGL Enum - @url http://www.opengl.org/documentation

  See Also:
    Constant Field Values

Method Detail

### flush

    void flush()

  Flush the current state of the renderer down to GL

### initDisplay

    void initDisplay(int width,
                     int height)

  Initialise the display

  Parameters:
    `width` - The width of the display
    `height` - The height of the display

### enterOrtho

    void enterOrtho(int xsize,
                    int ysize)

  Enter orthographic mode

  Parameters:
    `xsize` - The size of the ortho display
    `ysize` - The size of the ortho display

### glClearColor

    void glClearColor(float red,
                      float green,
                      float blue,
                      float alpha)

  OpenGL Method - @url http://www.opengl.org/documentation/

  Parameters:
    `red` -
    `green` -
    `blue` -
    `alpha` -

### glClipPlane

    void glClipPlane(int plane,
                     java.nio.DoubleBuffer buffer)

  OpenGL Method - @url http://www.opengl.org/documentation/

  Parameters:
    `plane` -
    `buffer` -

### glScissor

    void glScissor(int x,
                   int y,
                   int width,
                   int height)

  OpenGL Method - @url http://www.opengl.org/documentation/

  Parameters:
    `x` -
    `y` -
    `width` -
    `height` -

### glLineWidth

    void glLineWidth(float width)

  OpenGL Method - @url http://www.opengl.org/documentation/

  Parameters:
    `width` -

### glClear

    void glClear(int value)

  OpenGL Method - @url http://www.opengl.org/documentation/

  Parameters:
    `value` -

### glColorMask

    void glColorMask(boolean red,
                     boolean green,
                     boolean blue,
                     boolean alpha)

  OpenGL Method - @url http://www.opengl.org/documentation/

  Parameters:
    `red` -
    `green` -
    `blue` -
    `alpha` -

### glLoadIdentity

    void glLoadIdentity()

  OpenGL Method - @url http://www.opengl.org/documentation/

### glGetInteger

    void glGetInteger(int id,
                      java.nio.IntBuffer ret)

  OpenGL Method - @url http://www.opengl.org/documentation/

  Parameters:
    `id` -
    `ret` -

### glGetFloat

    void glGetFloat(int id,
                    java.nio.FloatBuffer ret)

  OpenGL Method - @url http://www.opengl.org/documentation/

  Parameters:
    `id` -
    `ret` -

### glEnable

    void glEnable(int item)

  OpenGL Method - @url http://www.opengl.org/documentation/

  Parameters:
    `item` -

### glDisable

    void glDisable(int item)

  OpenGL Method - @url http://www.opengl.org/documentation/

  Parameters:
    `item` -

### glBindTexture

    void glBindTexture(int target,
                       int id)

  OpenGL Method - @url http://www.opengl.org/documentation/

  Parameters:
    `target` -
    `id` -

### glGetTexImage

    void glGetTexImage(int target,
                       int level,
                       int format,
                       int type,
                       java.nio.ByteBuffer pixels)

  OpenGL Method - @url http://www.opengl.org/documentation/

  Parameters:
    `target` -
    `level` -
    `format` -
    `type` -
    `pixels` -

### glDeleteTextures

    void glDeleteTextures(java.nio.IntBuffer buffer)

  OpenGL Method - @url http://www.opengl.org/documentation/

  Parameters:
    `buffer` -

### glColor4f

    void glColor4f(float r,
                   float g,
                   float b,
                   float a)

  OpenGL Method - @url http://www.opengl.org/documentation/

  Parameters:
    `r` -
    `g` -
    `b` -
    `a` -

### glTexCoord2f

    void glTexCoord2f(float u,
                      float v)

  OpenGL Method - @url http://www.opengl.org/documentation/

  Parameters:
    `u` -
    `v` -

### glVertex3f

    void glVertex3f(float x,
                    float y,
                    float z)

  OpenGL Method - @url http://www.opengl.org/documentation/

  Parameters:
    `x` -
    `y` -
    `z` -

### glVertex2f

    void glVertex2f(float x,
                    float y)

  OpenGL Method - @url http://www.opengl.org/documentation/

  Parameters:
    `x` -
    `y` -

### glRotatef

    void glRotatef(float angle,
                   float x,
                   float y,
                   float z)

  OpenGL Method - @url http://www.opengl.org/documentation/

  Parameters:
    `angle` -
    `x` -
    `y` -
    `z` -

### glTranslatef

    void glTranslatef(float x,
                      float y,
                      float z)

  OpenGL Method - @url http://www.opengl.org/documentation/

  Parameters:
    `x` -
    `y` -
    `z` -

### glBegin

    void glBegin(int geomType)

  OpenGL Method - @url http://www.opengl.org/documentation/

  Parameters:
    `geomType` -

### glEnd

    void glEnd()

  OpenGL Method - @url http://www.opengl.org/documentation/

### glTexEnvi

    void glTexEnvi(int target,
                   int mode,
                   int value)

  OpenGL Method - @url http://www.opengl.org/documentation/

  Parameters:
    `target` -
    `mode` -
    `value` -

### glPointSize

    void glPointSize(float size)

  OpenGL Method - @url http://www.opengl.org/documentation/

  Parameters:
    `size` -

### glScalef

    void glScalef(float x,
                  float y,
                  float z)

  OpenGL Method - @url http://www.opengl.org/documentation/

  Parameters:
    `x` -
    `y` -
    `z` -

### glPushMatrix

    void glPushMatrix()

  OpenGL Method - @url http://www.opengl.org/documentation/

### glPopMatrix

    void glPopMatrix()

  OpenGL Method - @url http://www.opengl.org/documentation/

### glBlendFunc

    void glBlendFunc(int src,
                     int dest)

  OpenGL Method - @url http://www.opengl.org/documentation/

  Parameters:
    `src` -
    `dest` -

### glGenLists

    int glGenLists(int count)

  OpenGL Method - @url http://www.opengl.org/documentation/

  Parameters:
    `count` -
  Returns:
    The index of the lists

### glNewList

    void glNewList(int id,
                   int option)

  OpenGL Method - @url http://www.opengl.org/documentation/

  Parameters:
    `id` -
    `option` -

### glEndList

    void glEndList()

  OpenGL Method - @url http://www.opengl.org/documentation/

### glCallList

    void glCallList(int id)

  OpenGL Method - @url http://www.opengl.org/documentation/

  Parameters:
    `id` -

### glCopyTexImage2D

    void glCopyTexImage2D(int target,
                          int level,
                          int internalFormat,
                          int x,
                          int y,
                          int width,
                          int height,
                          int border)

  OpenGL Method - @url http://www.opengl.org/documentation/

  Parameters:
    `target` -
    `level` -
    `internalFormat` -
    `x` -
    `y` -
    `width` -
    `height` -
    `border` -

### glReadPixels

    void glReadPixels(int x,
                      int y,
                      int width,
                      int height,
                      int format,
                      int type,
                      java.nio.ByteBuffer pixels)

  OpenGL Method - @url http://www.opengl.org/documentation/

  Parameters:
    `x` -
    `y` -
    `width` -
    `height` -
    `format` -
    `type` -
    `pixels` -

### glTexParameteri

    void glTexParameteri(int target,
                         int param,
                         int value)

  OpenGL Method - @url http://www.opengl.org/documentation/

  Parameters:
    `target` -
    `param` -
    `value` -

### getCurrentColor

    float[] getCurrentColor()

  Get the current colour being rendered

  Returns:
    The current colour being rendered

### glDeleteLists

    void glDeleteLists(int list,
                       int count)

  OpenGL Method - @url http://www.opengl.org/documentation/

  Parameters:
    `list` -
    `count` -

### glDepthMask

    void glDepthMask(boolean mask)

  OpenGL Method - @url http://www.opengl.org/documentation/

  Parameters:
    `mask` -

### glClearDepth

    void glClearDepth(float value)

  OpenGL Method - @url http://www.opengl.org/documentation/

  Parameters:
    `value` -

### glDepthFunc

    void glDepthFunc(int func)

  OpenGL Method - @url http://www.opengl.org/documentation/

  Parameters:
    `func` -

### setGlobalAlphaScale

    void setGlobalAlphaScale(float alphaScale)

  Set the scaling we'll apply to any colour binds in this renderer

  Parameters:
    `alphaScale` - The scale to apply to any colour binds

### glLoadMatrix

    void glLoadMatrix(java.nio.FloatBuffer buffer)

  OpenGL Method - @url http://www.opengl.org/documentation/

  Parameters:
    `buffer` -

### glGenTextures

    void glGenTextures(java.nio.IntBuffer ids)

  OpenGL Method - @url http://www.opengl.org/documentation/

  Parameters:
    `ids` -

### glGetError

    void glGetError()

  OpenGL Method - @url http://www.opengl.org/documentation/

### glTexImage2D

    void glTexImage2D(int target,
                      int i,
                      int dstPixelFormat,
                      int get2Fold,
                      int get2Fold2,
                      int j,
                      int srcPixelFormat,
                      int glUnsignedByte,
                      java.nio.ByteBuffer textureBuffer)

  OpenGL Method - @url http://www.opengl.org/documentation/

### glTexSubImage2D

    void glTexSubImage2D(int glTexture2d,
                         int i,
                         int pageX,
                         int pageY,
                         int width,
                         int height,
                         int glBgra,
                         int glUnsignedByte,
                         java.nio.ByteBuffer scratchByteBuffer)

  OpenGL Method - @url http://www.opengl.org/documentation/

### canTextureMirrorClamp

    boolean canTextureMirrorClamp()

  Check if the mirror clamp extension is available

  Returns:
    True if the mirro clamp extension is available

### canSecondaryColor

    boolean canSecondaryColor()

### glSecondaryColor3ubEXT

    void glSecondaryColor3ubEXT(byte b,
                                byte c,
                                byte d)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 New Dawn Software. All Rights Reserved.